Subject: Re: [PATCH 2/3] parseopt: introduce OPT_RECURSE to specify shared options

From: Junio C Hamano <[email-masked]>
Date: Mon, 05 Nov 2007 13:48:19 -0800

Johannes Schindelin <[email-masked]> writes:

> After kicking this around a bit more on IRC, we had another idea.  Instead 
> of introducing OPT_RECURSE(), do something like OPT__QUIET(), only this 
> time in diff.h:
>
> #define OPT__DIFF(opt) \
> 	OPT_BOOLEAN('p', NULL, &opt.format_patch, "show a patch"), \
> 	...
>
> Pierre said this feels a bit "80s", so I'd like to hear other people's 
> opinions.
>
> Hmm?

As I am from "80s" ;-) I like the simpler "macro" one much
better.  There aren't many things that can go wrong in the
approach.